// Project Lab - NHTV Igad

#pragma once

#include "Components/CapsuleComponent.h"
#include "NetworkSwitchComponent.generated.h"

class ANetworkSwitch;

UCLASS()
class UNREALPROJECT_API UNetworkSwitchComponent : public UCapsuleComponent
{
	GENERATED_UCLASS_BODY()

public:
	class ANetworkDoodad* networkDoodad;
	class ACreatureSpawn* creatureSpawn;

	virtual FPrimitiveSceneProxy* CreateSceneProxy() override;

};
